Choose different org will result in the same org's host number change in organizations page
Priority: Normal   

Assignee: Daniel Lobato Garcia   
Target version: 1.14.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  
Pull request: https://github.com/theforeman/foreman/p

ull/4234

  

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1415025

Description of problem:

In organizations page, when you select a org, the other org's host number is wrong.

Version-Release number of selected component (if applicable):

Satellite6.2.7-sp2

candlepin-0.9.54.15-1.el7.noarch

foreman-1.11.0.65-1.el7sat.noarch

katello-3.0.0-15.el7sat.noarch

How reproducible:

Always

Steps to Reproduce:

1. In satellite webUI, Create a new org named org1.

2. Registered 7 hosts to org1, make sure no host on Default_organization.

3. Go to "Management organization", choose org1, it's correct to show org1's host number is 7, please see screenshot org1.jpeg.

4. Go to "Management organization", choose Default_organization, check the org1's host number.

Actual results:

It will show org1's host number is 0. please see screenshot default_org.jpeg

Expected results:

No matter what org is choosen in organization page, the host's number in the same org shouldn't change. the host's number in org1

should always 7.

Additional info:

Related issues:

Related to Foreman - Bug #12193: Deadlock occuring when creating host Closed 10/16/2015

Associated revisions

Revision cc81d993 - 01/30/2017 10:02 AM - Daniel Lobato Garcia

Fixes #18260 - Display proper organizations count on table

If the user is scoped to taxonomy "A", "Host.count" will only return

hosts in that taxonomy. That is correct. However there is a usecase

where we want to display the hosts count regardless of the current

taxonomy.

The table for locations and organizations was showing the "Host.count"

scoped to the current taxonomy, so it would show 0 everywhere but in the

current taxonomy.

The fix is to make the helper aware of this issue, and show the unscoped

Host.count when displaying the organizations/locations table
Revision 93439fe6 - 02/01/2017 11:16 AM - Daniel Lobato Garcia

Fixes #18260 - Display proper organizations count on table

If the user is scoped to taxonomy "A", "Host.count" will only return

hosts in that taxonomy. That is correct. However there is a usecase

where we want to display the hosts count regardless of the current

taxonomy.

The table for locations and organizations was showing the "Host.count"

scoped to the current taxonomy, so it would show 0 everywhere but in the

current taxonomy.

The fix is to make the helper aware of this issue, and show the unscoped

Host.count when displaying the organizations/locations table

(cherry picked from commit cc81d99322301a66f0a774ffac138c6a3d72421f)

History

#1 - 01/26/2017 10:32 AM - Dominic Cleal

- Related to Bug #12193: Deadlock occuring when creating host added

#2 - 01/26/2017 10:32 AM - Dominic Cleal

- Category set to Organizations and Locations

#3 - 01/26/2017 10:34 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Daniel Lobato Garcia

- Pull request https://github.com/theforeman/foreman/pull/4234 added

#4 - 01/30/2017 11:01 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset cc81d99322301a66f0a774ffac138c6a3d72421f.

#5 - 01/31/2017 03:12 AM - Dominic Cleal

- translation missing: en.field_release set to 210

#6 - 02/21/2017 09:53 AM - Daniel Lobato Garcia

- Target version set to 1.11.0
